﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using DxLibDLL;

namespace Ryujin
{
    // 画像の読み込みを扱うクラスです。
    class LoadManager
    {
        // マネジャー。
        private static LoadManager manager = new LoadManager();

        // プライベートなコンストラクタ。
        private LoadManager()
        {
            ; // 何もしない
        }
        
        // マネジャーを返します。
        public static LoadManager GetInstance()
        {
            return manager;
        }

        // 画像を読み込みます。
        public void load()
        {
            DX.LoadDivGraph("../../dat/img/char/0.png", 12, 4, 3, 73, 73, out Program.img_ch[0, 0]);
        }
    }
}
