﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using DxLibDLL;

namespace Ryujin
{
    // グラフィックスを管理するクラスです。
    class GraphManager
    {
        // マネジャー。
        private static GraphManager manager = new GraphManager();

        // プライベートなコンストラクタ。
        private GraphManager()
        {
            ; // 何もしない
        }
        
        // マネジャーを返します。
        public static GraphManager GetInstance()
        {
            return manager;
        }

        // キャラクタを描画します。
        private void graph_ch()
        {
            DX.DrawRotaGraphF((float)Program.ch.x, (float)Program.ch.y, 1.0, 0.0, Program.img_ch[0, Program.ch.img], 1);
        }

        // 描画します。
        public void graph_main()
        {
            this.graph_ch();
        }
    }
}
