﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// コンフィグを表すクラスです。
    /// </summary>
    class ConfigPad
    {
        /// <summary>
        /// 左。
        /// </summary>
        public int left;

        /// <summary>
        /// 上。
        /// </summary>
        public int up;

        /// <summary>
        /// 右。
        /// </summary>
        public int right;

        /// <summary>
        /// 下。
        /// </summary>
        public int down;

        /// <summary>
        /// ショット。
        /// </summary>
        public int shot;

        /// <summary>
        /// ボム。
        /// </summary>
        public int bom;
        
        /// <summary>
        /// 低速。
        /// </summary>
        public int slow;

        /// <summary>
        /// スタート。
        /// </summary>
        public int start;

        /// <summary>
        /// 変身。
        /// </summary>
        public int change;

        /// <summary>
        /// 一番最初の初期化をします。
        /// </summary>
        public void first_ini()
        {
            this.down = 0;
            this.left = 1;
            this.right = 2;
            this.up = 3;
            this.bom = 4;
            this.shot = 5;
            this.slow = 11;
            this.start = 13;
            this.change = 6;
        }
    }
}
